Bug 1572333 - can not add host to new Ovirt setup. ERROR: Exception caught: org.fedoraproject.FirewallD1.Exception: INVALID_SERVICE: 'ovirt-imageio' not among existing services
Summary: can not add host to new Ovirt setup. ERROR: Exception caught: org.fedoraproje...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 2.2.16
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: Ido Rosenzwig
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 17:41 UTC by donald
Modified: 2018-05-09 06:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 06:45:59 UTC
oVirt Team: Node


Attachments (Terms of Use)
host install fails with overt-imageio service error (27.62 KB, text/plain)
2018-04-26 17:41 UTC, donald
no flags Details

Description donald 2018-04-26 17:41:46 UTC
Created attachment 1427346 [details]
host install fails with overt-imageio service error

Description of problem:
New installation. Try time add my first Centos7 linux host. Fails to install.
Log attached. It is failing on the ansible section.

Version-Release number of selected component (if applicable):
4.2.2.6-1.el7.centos

How reproducible:
overtime I try to add this host

Steps to Reproduce:
1. trying to add a Linux host and it fails
2. looking at /var/log/ovirt-engine/host-deploy logs I see why.
3. I tried to run this command:
[root@ny-ovirt02 ~]# firewall-cmd --permanent --zone=public --add-service=ovirt-imageio
Error: INVALID_SERVICE: 'ovirt-imageio' not among existing services


This is from the log

Actual results:

2018-04-26 12:30:56,182 p=28980 u=ovirt |  failed: [ny-ovirt02.nhl.com] (item={u'service': u'ovirt-imageio'}) => {
    "changed": false,
    "item": {
        "service": "ovirt-imageio"
    }
}

MSG:

ERROR: Exception caught: org.fedoraproject.FirewallD1.Exception: INVALID_SERVICE: 'ovirt-imageio' not among existing services Permanent and Non-Permanent(immediate) operation, Services are defined by port/tcp relationship and named as they are in /etc/services (on most systems)

2018-04-26 12:30:56,185 p=28980 u=ovirt |  PLAY RECAP *********************************************************************
2018-04-26 12:30:56,185 p=28980 u=ovirt |  ny-ovirt02.nhl.com         : ok=13   changed=0    unreachable=0    failed=1

Expected results:
success

Additional info:

Comment 1 Ido Rosenzwig 2018-04-30 15:08:12 UTC
Please attach the content of the following dir:
/usr/lib/firewalld/services

Comment 2 Ido Rosenzwig 2018-05-09 06:45:59 UTC
wasn't able to reproduce the problem and the reporter doesn't reply, thus closing the bug.
If the problem continues feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.